This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 58849 - Imported postscript image won't print properly
Imported postscript image won't print properly
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: ImageMagick (Show other bugs)
7.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-25 16:05 EST by Need Real Name
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-25 16:05:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-01-25 16:05:40 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0)

Description of problem:
In RH 7.1 we imported an image with "import -page 11x17+43+43 -rotate +90 
image.ps2" and then printed to an HP Laserjet 8000 (papersize set to 11x17) 
with "lpr -Pbigjet image.ps2". Now the commands don't work on 7.2. Instead of a 
nice printout, we get one line on a 11x17 page then hundreds of letter sized 
pages of gobbledygook. We can do the import on a 7.1 system, copy the file to 
the 7.2 system and print it OK. If we import on the 7.2 system, copy the file 
to the 7.1 system and print, we have the problem - hundreds of pages of 
gobbledygook.

Version-Release number of selected component (if applicable): ImageMagick-5.3.8-
3


How reproducible:
Always

Steps to Reproduce:
1. Use printtool to set the default papersize of the bigjet print queue to 
11x17. (bigjet points to an HP Laserjet 8000).
2. Open an window with an image and enlarge to about 1280x1024.
3. In an xterm window, issue command "import -page 11x17+43+43 -rotate +90 
image.ps2". The mouse pointer turns into a crosshair.
4. Click on the window opened in step 2 with the mouse.
5. In the window opened in step 3, issue the command "lpr -Zbigjet image.ps2".
	

Actual Results:  Printer prints one line on an 11x17 page then hundreds of 
letter sized pages of gobbledygook.

Expected Results:  Image printed in landscape orientation on 11x17 paper.

Additional info:

If you import the image on a Red Hat 7.1 machine, ftp the file to a 7.2 machine 
and print, it prints OK.

If you import the image on a Red Hat 7.2 machine, ftp the file to a 7.1 machine 
and print, you get hundreds of pages of gobbledygook.

The image file appears fine when viewed in gv and ImageMagick.

Red Hat 7.1 has ImageMagick-5.2.7-2 and Red Hat 7.2 has ImageMagick-5.3-8-3.
Comment 1 Bernhard Rosenkraenzer 2002-01-28 09:23:05 EST
Fixed in 5.4.2.3-1

Note You need to log in before you can comment on or make changes to this bug.